/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.BugTendencyChartTmpDao;
import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.db.service.BugTendencyChartTmpService;
import net.northking.cctp.dw.db.entity.BugTendencyChartTmp;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.BugTendencyChartTmpDetailDto;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 缺陷趋势信息临时表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugTendencyChartTmpServiceImpl")
public class BugTendencyChartTmpServiceImpl extends PaginationService<BugTendencyChartTmp> implements BugTendencyChartTmpService
{
private static final Logger logger = LoggerFactory.getLogger(BugTendencyChartTmpServiceImpl.class);

  private final BugTendencyChartTmpDao bugTendencyChartTmpDao;

  public BugTendencyChartTmpServiceImpl(BugTendencyChartTmpDao bugTendencyChartTmpDao) {this.bugTendencyChartTmpDao = bugTendencyChartTmpDao;}

  public BasicDao<BugTendencyChartTmp> getDao() {return bugTendencyChartTmpDao;}

  public BugTendencyChartTmp createEntity() { return new BugTendencyChartTmp();}

  @Override
  protected void beforeInsert(BugTendencyChartTmp bugTendencyChartTmp) {

  }

  @Override
  protected void beforeUpdate(BugTendencyChartTmp bugTendencyChartTmp) {

  }

  @Override
  public List<BugTendencyChartTmpDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto, List<String> statusList) {
    return bugTendencyChartTmpDao.listQuery(chartDataGeneQueryDto,statusList);
  }

  @Override
  public void insertBatch(List<SynBugInfo> dataList,String tenantId) {
    bugTendencyChartTmpDao.insertBatch(dataList,tenantId);
  }

  @Override
  public void deleteData(List<SynBugInfo> dataList, String date, String tenantId) {
    bugTendencyChartTmpDao.deleteData(dataList,date,tenantId);
  }


// ----      The End by Generator     ----//




}

